<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BotGuardBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/df7/class_bot_guard_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BotGuardBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>represents guard on a transition from state to state  
 <a href="../../da/df7/class_bot_guard_base.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa4db63d5fed7bbe58fbee0c8e422693f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#aa4db63d5fed7bbe58fbee0c8e422693f">GuardCondition</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:aa4db63d5fed7bbe58fbee0c8e422693f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a625535dec4c105b4756d946d1271dd2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a625535dec4c105b4756d946d1271dd2c">BotGuardAnd</a> (<a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> arg0=NULL, <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> arg1=NULL)</td></tr>
<tr class="separator:a625535dec4c105b4756d946d1271dd2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177af46f49a3660f27211ef0e527e3bc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a177af46f49a3660f27211ef0e527e3bc">GuardCondition</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a177af46f49a3660f27211ef0e527e3bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804f9ba36d9477452f7f729bc5afb990"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a804f9ba36d9477452f7f729bc5afb990">BotGuardNot</a> (<a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> arg0=NULL)</td></tr>
<tr class="separator:a804f9ba36d9477452f7f729bc5afb990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177af46f49a3660f27211ef0e527e3bc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a177af46f49a3660f27211ef0e527e3bc">GuardCondition</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a177af46f49a3660f27211ef0e527e3bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4794ee4065a09e4eb9f5c288a3316143"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a4794ee4065a09e4eb9f5c288a3316143">BotGuardOr</a> (<a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> arg0=NULL, <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> arg1=NULL)</td></tr>
<tr class="separator:a4794ee4065a09e4eb9f5c288a3316143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177af46f49a3660f27211ef0e527e3bc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a177af46f49a3660f27211ef0e527e3bc">GuardCondition</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a177af46f49a3660f27211ef0e527e3bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5ed59f017a38dab9f41f3ebc0d2eca4c"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a5ed59f017a38dab9f41f3ebc0d2eca4c">m_arg0</a></td></tr>
<tr class="separator:a5ed59f017a38dab9f41f3ebc0d2eca4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32b4a1414eda964547bbe1c3d4cec58c"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df7/class_bot_guard_base.html#a32b4a1414eda964547bbe1c3d4cec58c">m_arg1</a></td></tr>
<tr class="separator:a32b4a1414eda964547bbe1c3d4cec58c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >represents guard on a transition from state to state </p>

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a625535dec4c105b4756d946d1271dd2c" name="a625535dec4c105b4756d946d1271dd2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a625535dec4c105b4756d946d1271dd2c">&#9670;&#160;</a></span>BotGuardAnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BotGuardBase::BotGuardAnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td>
          <td class="paramname"><em>arg0</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td>
          <td class="paramname"><em>arg1</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00019">19</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a804f9ba36d9477452f7f729bc5afb990" name="a804f9ba36d9477452f7f729bc5afb990"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a804f9ba36d9477452f7f729bc5afb990">&#9670;&#160;</a></span>BotGuardNot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BotGuardBase::BotGuardNot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td>
          <td class="paramname"><em>arg0</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00033">33</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a4794ee4065a09e4eb9f5c288a3316143" name="a4794ee4065a09e4eb9f5c288a3316143"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4794ee4065a09e4eb9f5c288a3316143">&#9670;&#160;</a></span>BotGuardOr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BotGuardBase::BotGuardOr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td>
          <td class="paramname"><em>arg0</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a>&#160;</td>
          <td class="paramname"><em>arg1</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00048">48</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="aa4db63d5fed7bbe58fbee0c8e422693f" name="aa4db63d5fed7bbe58fbee0c8e422693f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4db63d5fed7bbe58fbee0c8e422693f">&#9670;&#160;</a></span>GuardCondition() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BotGuardBase::GuardCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00011">11</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a177af46f49a3660f27211ef0e527e3bc" name="a177af46f49a3660f27211ef0e527e3bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177af46f49a3660f27211ef0e527e3bc">&#9670;&#160;</a></span>GuardCondition() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BotGuardBase::GuardCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00021">21</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a177af46f49a3660f27211ef0e527e3bc" name="a177af46f49a3660f27211ef0e527e3bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177af46f49a3660f27211ef0e527e3bc">&#9670;&#160;</a></span>GuardCondition() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BotGuardBase::GuardCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00035">35</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a177af46f49a3660f27211ef0e527e3bc" name="a177af46f49a3660f27211ef0e527e3bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177af46f49a3660f27211ef0e527e3bc">&#9670;&#160;</a></span>GuardCondition() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BotGuardBase::GuardCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00050">50</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a5ed59f017a38dab9f41f3ebc0d2eca4c" name="a5ed59f017a38dab9f41f3ebc0d2eca4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed59f017a38dab9f41f3ebc0d2eca4c">&#9670;&#160;</a></span>m_arg0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> BotGuardBase::m_arg0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00016">16</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<a id="a32b4a1414eda964547bbe1c3d4cec58c" name="a32b4a1414eda964547bbe1c3d4cec58c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32b4a1414eda964547bbe1c3d4cec58c">&#9670;&#160;</a></span>m_arg1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a> BotGuardBase::m_arg1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d2d/_bot_guards_8c_source.html#l00017">17</a> of file <a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Systems/Bot/<a class="el" href="../../db/d2d/_bot_guards_8c_source.html">BotGuards.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/df7/class_bot_guard_base.html">BotGuardBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
